# xview_semantic

Defined in `xtensor/xsemantic.hpp`

template <class D>
class `xt::``xview_semantic`

  Implementation of the xsemantic_base interface for multidimensional views.

  The xview_semantic is an implementation of the xsemantic_base interface for multidimensional views.

  Template Parameters
    - `D`: the derived type

  Inherits from xt::xsemantic_base< D >

  Assign functions

  auto `assign_temporary`(temporary_type &&tmp)

    Assigns the temporary `tmp` to `*this`.

    Return
      a reference to `*this`.
    Parameters
      - `tmp`: the temporary to assign.